Package: org.grails.cli.profile.steps

## [Groovy] Class DefaultStepFactory

- org.grails.cli.profile.steps.DefaultStepFactory

- All Implemented Interfaces and Traits:
    StepFactory

      @groovy.transform.CompileStatic
      class DefaultStepFactory
      extends java.lang.Object
      implements StepFactory

  Dynamic creation of Step instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Class<? extends Step>>` | `steps` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.Class<? extends Step>>` | `steps`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultStepFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Step` | `createStep(java.lang.String name, Command command, java.util.Map parameters)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Class<? extends Step>> steps

  - ### Property Detail

    - #### java.util.Map<java.lang.String, java.lang.Class<? extends Step>> steps

  - ### Constructor Detail

    - #### DefaultStepFactory()

  - ### Method Detail

    - #### @java.lang.Override Step createStep(java.lang.String name, Command command, java.util.Map parameters)